import { gql } from 'apollo-angular';
import { EDITOR_FRAGMENT } from 'src/app/model/graphql/editor.query';

export const DB_MODEL_FRAGMENT = gql`
  fragment DB_MODEL on DbModel {
    __typename
    id

    deleted
    editor {
      ...EDITOR
    }
    created
    updated
  }

  ${EDITOR_FRAGMENT}
`;

export const DB_HISTORY_MODEL_FRAGMENT = gql`
  fragment DB_HISTORY_MODEL on DbHistoryModel {
    __typename
    id

    deleted
    editor
    created
    updated
  }
`;
