import { Component } from '@angular/core';
import { PageWithHistoryDataService } from 'src/app/core/base/page-with-history.data.service';
import { PageColumns } from 'src/app/core/base/page.columns';

@Component({
  selector: 'app-history',
  templateUrl: './history.component.html',
  styleUrl: './history.component.scss',
})
export class HistoryComponent<T> {
  loadHistory = (id: number) => this.data.loadHistory(id);
  columns = this._columns.get();

  constructor(
    public data: PageWithHistoryDataService<T>,
    private _columns: PageColumns<T>
  ) {}
}
